%define anolis_release 2

Summary: SELinux policy compiler
Name: checkpolicy
Version: 3.5
Release: %{anolis_release}%{?dist}
License: GPLv2
Source0: https://github.com/SELinuxProject/selinux/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires: gcc
BuildRequires: make
BuildRequires: byacc bison flex flex-static
BuildRequires: libsepol-static >= %{version}

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

This package contains checkpolicy, the SELinux policy compiler.
Only required for building policies.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p 2 -n %{name}-%{version}

%build

%set_build_flags

%make_build LIBDIR="%{_libdir}"
cd test
%make_build LIBDIR="%{_libdir}"

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
%make_install LIBDIR="%{_libdir}"
install test/dismod ${RPM_BUILD_ROOT}%{_bindir}/sedismod
install test/dispol ${RPM_BUILD_ROOT}%{_bindir}/sedispol

%files
%license LICENSE
%{_bindir}/checkpolicy
%{_bindir}/checkmodule
%{_bindir}/sedismod
%{_bindir}/sedispol
%{_mandir}/man8/checkpolicy.8*
%{_mandir}/man8/checkmodule.8*
%lang(ru) %{_mandir}/ru/man8/checkpolicy.8*
%lang(ru) %{_mandir}/ru/man8/checkmodule.8*

%files doc
%doc VERSION

%changelog
* Wed Mar 29 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.5-2
- Del Specific Fields

* Wed Mar 01 2023 Funda Wang <fundawang@yeah.net> - 3.5-1
- New version 3.5

* Wed Dec 28 2022 Jing Zhang <renyu.zj@linux.alibaba.com> - 3.4-1
- update to 3.4 and optimise spec file

* Wed Mar 09 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 3.3-1
- Init from upstream v3.3
